> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a remediation request

> Status and per-number outcomes for one remediation request. Outcomes are null until processing completes (usually a few days). Possible outcomes: remediated, not_flagged, requires_review, ineligible, refused.



## OpenAPI

````yaml /openapi.json get /v1/caller-trust/reputation/remediations/{id}
openapi: 3.1.0
info:
  title: RevDesk v1 API
  version: 1.0.0
  description: >-
    Programmatic access to the RevDesk voice platform — calls, numbers, caller
    trust, and brands.
  contact:
    name: RevDesk
    email: support@revdesk.com
servers:
  - url: https://api.revdesk.com
security:
  - bearerAuth: []
tags:
  - name: Phone Numbers
  - name: Caller IDs
  - name: Enterprise Registration
  - name: Branded Calling
  - name: Calls
  - name: SMS
  - name: WebRTC
  - name: Reputation
  - name: Usage
  - name: Account
  - name: Agents
  - name: Appointments
  - name: Contacts
  - name: Documents
  - name: Number Registration
  - name: Sub-entities
  - name: Webhooks
  - name: Jobs
paths:
  /v1/caller-trust/reputation/remediations/{id}:
    get:
      tags:
        - Reputation
      summary: Get a remediation request
      description: >-
        Status and per-number outcomes for one remediation request. Outcomes are
        null until processing completes (usually a few days). Possible outcomes:
        remediated, not_flagged, requires_review, ineligible, refused.
      operationId: v1_caller_trust_reputation_remediations_id_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-07/schema#
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      request_id:
                        type: string
                      status:
                        type: string
                      source:
                        type: string
                      submitted_at:
                        anyOf:
                          - type: string
                          - type: 'null'
                      completed_at:
                        anyOf:
                          - type: string
                          - type: 'null'
                      numbers:
                        type: array
                        items:
                          type: object
                          properties:
                            phone_number:
                              type: string
                            outcome:
                              anyOf:
                                - type: string
                                - type: 'null'
                            billed_amount_dc:
                              type: number
                          required:
                            - phone_number
                            - outcome
                            - billed_amount_dc
                          additionalProperties: false
                    required:
                      - request_id
                      - status
                      - source
                      - submitted_at
                      - completed_at
                      - numbers
                    additionalProperties: false
                required:
                  - data
                additionalProperties: false
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Conflict (incl. idempotency conflicts)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            fields:
              type: object
              additionalProperties:
                type: string
            doc_url:
              type: string
              format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````